BSON_AS_RELAXED_EXTENDED_JSON(3)

SYNOPSIS

            char *
            bson_as_relaxed_extended_json (const bson_t *bson, size_t *length);

PARAMETERS

    •   bson: A bson_t.

    •   length: An optional location for the length of the resulting string.

DESCRIPTION

bson_as_relaxed_extended_json() encodes bson as a UTF-8 string in Relaxed Extended JSON. See MongoDB Extended JSON format for a description of Extended JSON formats.

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() with the result.

If non-NULL, length will be set to the length of the result in bytes.

RETURNS

If successful, a newly allocated UTF-8 encoded string and length is set.

Upon failure, NULL is returned.

EXAMPLE

            bson_t *b = BCON_NEW ("foo", BCON_INT32 (123));
            char *str = bson_as_relaxed_extended_json (b, NULL);
            printf ("Relaxed Extended JSON: %s\n", str);
            // Prints:
            // Relaxed Extended JSON: { "foo" : 123 }
            bson_free (str);
            bson_destroy (b);

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.